# -*- coding: utf-8 -*-
"""
oathldap -- Python package for OATH-LDAP
"""

import sys

__all__ = [
    'cli_output',
    'ErrorExit',
    'SEP_LINE',
]

#---------------------------------------------------------------------------
# Constants
#---------------------------------------------------------------------------

SEP_LINE = 80 * '-'

#---------------------------------------------------------------------------
# Classes
#---------------------------------------------------------------------------

class ErrorExit(Exception):
    """
    to be raised if any condition should result in program exit
    """

    def __init__(self, msg, code=1):
        Exception.__init__(self, msg)
        self.code = code

#---------------------------------------------------------------------------
# Functions
#---------------------------------------------------------------------------

def cli_output(text, lf_before=1, lf_after=1):
    """
    Command-line program output
    """
    sys.stdout.write(''.join((
        lf_before*'\n',
        text,
        lf_after*'\n',
    )))
